<?
define('PROTECTOR', 1);

$head = 'kuznec';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_GET[mod]){

default:
echo"<div class='a'><b>Кузница</b></div><div class='dot'><img src=\"pic/main/guilds.png\" alt=\"\"/>
 <a href=\"kuznec.php?mod=weapon\">Работа с оружием</a></br>Закалка, ремонт
></div><div class='dot'><img src=\"pic/pers/kam.png\" alt=\"\"/> <a href=\"kuznec.php?mod=res\">Работа с ресурсами</a></br>Покупка, переплавка ></div>";
break;

case 'weapon':
echo"<font color='#ffc22b'> • В кузнице можно работать над своим боевым снаряжением: Улучшать, закаливать, ремонтировать и разбирать</font>$div";
if(empty($_GET[image]) or $_GET[old]==yes){$ss1="Надетые вещи";}else{$ss1="<a href=\"kuznec.php?mod=weapon\">Надетые вещи</a>";}
if($_GET[image]==not){$ss2="Инвентарь";}else{$ss2="<a href=\"kuznec.php?mod=weapon&image=not\">Инвентарь</a>";}
if($_GET[image]==sklad){$ss3="Склад";}else{$ss3="<a href=\"kuznec.php?mod=weapon&image=sklad\">Склад</a>";}
echo"<div class='a'> [$ss1] [$ss2] [$ss3] </div>$div";

echo"<div class='a'><b>Снаряжение:</b><br/></div>";
if(empty($_GET[image])){$image="yes";}else{
$image = htmlspecialchars(addslashes(stripslashes($_GET['image'])));}
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= '$image' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей</br><a href=\"pers.php?\">Назад</a>$div";}else{
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Вещь надета!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$mag[tip]$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\" style=\"margin-right:4px;\"/><a href=\"inventar.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <br>Прочность: $mag[proch]/10</span><br>";

if($mag[zakal]==0){echo"[<a href=\"kuznec.php?mod=zakal&id=$mag[id]\">Закалить</a>] ";}
echo"[<a href=\"kuznec.php?mod=remont&id=$mag[id]\">Ремонтировать</a>] [<a href=\"kuznec.php?mod=razob&id=$mag[id]\">Разобрать</a>]$div";}
}
echo"<a href=\"kuznec.php?\">В кузницу</a>";
break;

case 'razob':
if(isset($_GET[nachat])){
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$r = htmlspecialchars(addslashes(stripslashes($_GET['r'])));
$jel = $r-2273;
$ves = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' ") or die (mysql_error());
$avto=mysql_num_rows($ves);
if($avto==0){echo"Вещь разобрана";break;}
$vesh = mysql_fetch_array($ves);
if($vesh[image]==yes){
mysql_query("UPDATE `users` SET `sila` =  '$udata[sila]'-'$vesh[sila]',`lovk` =  '$udata[lovk]'-'$vesh[lovk]',`prot` = '$udata[prot]'-'$vesh[prot]',`krit` =  '$udata[krit]'-'$vesh[krit]',`ukrit` =  '$udata[ukrit]'-'$vesh[ukrit]',`hpall` =  '$udata[hpall]'-'$vesh[hp]',`mpall` =  '$udata[mpall]'-'$vesh[mp]' WHERE `usr` = '$log'") or die (mysql_error());


}
$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' ") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){
$res = mysql_fetch_array($resd);
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = 'Железо',
        `lat_name` = 'jelezo',
        `tip` = 'res',
        `what` = 'res',
        `give` = '0',
        `kol` = '$jel',
        `cena` = '9'") or die (mysql_error());}else{
$res = mysql_fetch_array($resd);
$nkol=$jel+$res[kol];
mysql_query("UPDATE `res` SET `kol` = '$nkol' WHERE `usr` = '$log' and `lat_name`='jelezo'") or die (mysql_error());}
mysql_query("DELETE FROM `weapon` WHERE `usr` = '$log' and `id`='$id' ");
echo"<font color='#71cc71'>Вещь успешно разобрана на $jel железа!</font></br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;
}
if(empty($_GET[id])){echo"<img src='pic/no.png' alt='*'/> Не выбрана вещь!";break;}else{
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Уже нет такой вещи!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}else{
$mag = mysql_fetch_array($req);
$jel = round($mag[cena]/20);
echo"Ваша вещь $mag[name]$div Вы можете разобрать её на: </br>
<img src='pic/pers/jel.png' alt='*'/> <b>$jel</b> Железа";
$r=$jel+2273;
echo "<form action=\"kuznec.php?mod=razob&nachat&id=$mag[id]&r=$r\" method=\"post\">";
echo '<input class="button" type="submit" value="Приступить" /></form>';
}
}
break;

case 'zakal':
if(isset($_GET[nachat])){
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$ves = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' ") or die (mysql_error());
$vesh = mysql_fetch_array($ves);
if($vesh[zakal]>=1){echo"<img src='pic/no.png' alt='*'/>Вещь уже закалена!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
$sila = round($vesh[sila]/10);
$lovk = round($vesh[lovk]/10);
$prot = round($vesh[prot]/10);
$hp = round($vesh[hp]/10);
$mp = round($vesh[mp]/10);
$krit = round($vesh[krit]/10);
$ukrit = round($vesh[ukrit]/10);
$cena = ($sila+$lovk+$prot+$hp+$mp+$krit+$ukrit)*15+$vesh[cena];

$avto=mysql_num_rows($ves);if($avto==0){echo"<img src='pic/no.png' alt='*'/>Вещь не найдена";break;}
$jel = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' and `kol`>='30'") or die (mysql_error());
$avto=mysql_num_rows($jel);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Не хватает Железа!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
$nef = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'nefrit' and `kol`>='10'") or die (mysql_error());
$avto=mysql_num_rows($nef);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Не хватает Нефрита!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
$obs = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'obsidian' and `kol`>='10'") or die (mysql_error());
$avto=mysql_num_rows($obs);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Не хватает Обсидиана!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
$ser = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'serebro' and `kol`>='10'") or die (mysql_error());
$avto=mysql_num_rows($ser);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Не хватает Серебра!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'zakal' and `kol`>='1'") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Нет свитка закалки!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}

$polom=rand(0,100);
if($polom>>$set[kuznec]+85){
///////////ПОЛОМКА///////////
$jel=round($vesh[cena]/20);
$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' ") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){
$res = mysql_fetch_array($resd);
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = 'Железо',
        `lat_name` = 'jelezo',
        `tip` = 'res',
        `what` = 'res',
        `give` = '0',
        `kol` = '$jel',
        `cena` = '9'") or die (mysql_error());}else{
$res = mysql_fetch_array($resd);
$nkol=$jel+$res[kol];
mysql_query("UPDATE `res` SET `kol` = '$nkol' WHERE `usr` = '$log' and `lat_name`='jelezo'") or die (mysql_error());}
mysql_query("DELETE FROM `weapon` WHERE `usr` = '$log' and `id`='$id' ");

mysql_query("UPDATE `users` SET `sila` =  '$udata[sila]'-'$vesh[sila]',`lovk` =  '$udata[lovk]'-'$vesh[lovk]',`prot` = '$udata[prot]'-'$vesh[prot]',
`krit` =  '$udata[krit]'-'$vesh[krit]',`ukrit` =  '$udata[ukrit]'-'$vesh[ukrit]',`hpall` = '$udata[hpall]'-'$vesh[hp]',`mpall` = '$udata[mpall]'-'$vesh[mp]' WHERE `usr` = '$log'") or die (mysql_error());
echo"<font color='#ff3333'>Вам не повезло, по неопытности вы сломали вещь, она распалась на <b>$jel</b> железа</font></br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;  }
//////////КОНЕЦ////////////
if($vesh[image]==yes){
mysql_query("UPDATE `users` SET `sila` =  '$udata[sila]'+'$sila',`lovk` =  '$udata[lovk]'+'$lovk',`prot` = '$udata[prot]'+'$prot',
`krit` =  '$udata[krit]'+'$krit',`ukrit` =  '$udata[ukrit]'+'$ukrit',`hpall` = '$udata[hpall]'+'$hp',`mpall` = '$udata[mpall]'+'$mp' 
WHERE `usr` = '$log'") or die (mysql_error());
}
$name="*$vesh[name]*";
mysql_query("UPDATE `weapon` SET `name` = '$name',
`cena` = '$cena',
 `sila` = '$vesh[sila]'+'$sila',
 `lovk` = '$vesh[lovk]'+'$lovk',
 `zakal` = '1',
 `prot` = '$vesh[prot]'+'$prot',
`krit` =  '$vesh[krit]'+'$krit',
`ukrit` =  '$vesh[ukrit]'+'$ukrit',
`hp` = '$vesh[hp]'+'$hp',
`mp` = '$vesh[mp]'+'$mp' 
WHERE `usr` = '$log' and `id` = '$id'") or die (mysql_error());
$jel = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' and `kol`>='30'") or die (mysql_error());
$jela = mysql_fetch_array($jel);
$kol = $jela[kol]-30;
mysql_query("UPDATE `res` SET `kol` = '$kol' WHERE `usr` = '$log' and `lat_name`= 'jelezo'");
$nef = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'nefrit' and `kol`>='10'") or die (mysql_error());
$nefr = mysql_fetch_array($nef);
$kolw = $nefr[kol]-10;
mysql_query("UPDATE `res` SET `kol` = '$kolw' WHERE `usr` = '$log' and `lat_name`= 'nefrit'");
$obs = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'obsidian' and `kol`>='10'") or die (mysql_error());
$obsi = mysql_fetch_array($obs);
$kolu = $obsi[kol]-10;
mysql_query("UPDATE `res` SET `kol` = '$kolu' WHERE `usr` = '$log' and `lat_name`= 'obsidian'");
$ser = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'serebro' and `kol`>='10'") or die (mysql_error());
$sere = mysql_fetch_array($ser);
$kole = $sere[kol]-10;
mysql_query("UPDATE `res` SET `kol` = '$kole' WHERE `usr` = '$log' and `lat_name`= 'serebro'");

$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'zakal' and `kol`>='1'") or die (mysql_error());
$resde = mysql_fetch_array($resd);
$kolz = $resde[kol]-1;
mysql_query("UPDATE `res` SET `kol` = '$kolz' WHERE `usr` = '$log' and `lat_name`= 'zakal'");
echo"<font color='#71cc71'>Вещь успешно закалена!</font></br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;
}
if(empty($_GET[id])){echo"<img src='pic/no.png' alt='*'/> Не выбрана вещь!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}else{
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `zakal`='0' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Вещь уже закалена!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}else{
$mag = mysql_fetch_array($req);
echo"<font color='#ffc22b'> • Теперь вещи можно закаливать!</br> • После закаливания вещь получает 10% ко всем статам, и не теряет прочности.</br>• Но можно и сломать вещь. Шанс удачной закалки зависит от уровня вашего навыка *Кузнец*</font>$div";
$szak=$set[kuznec]+85;
echo"Ваш уровень кузнеца <b>$set[kuznec]</b></br>Шанс удачной закалки <font color='#71cc71'><b>$szak %</b></font>$div";
echo"Ваша вещь $mag[name]$div Для закалки вам потребуется: </br>
<img src='pic/pers/zakal.jpg' alt='*'/> <b>Свиток Закалки</b></br>
<img src='pic/pers/jel.png' alt='*'/> <b>30</b> Железа</br>
<img src='pic/pers/nef.png' alt='*'/> <b>10</b> Нефрита</br>
<img src='pic/pers/obs.png' alt='*'/> <b>10</b> Обсидиана</br>
<img src='pic/pers/ser.png' alt='*'/> <b>10</b> Серебра</br>
";
echo "<form action=\"kuznec.php?mod=zakal&nachat&id=$mag[id]\" method=\"post\">";
echo '<input class="button" type="submit" value="Закалить" /></form>';
}
}
break;

case 'remont':

if(isset($_GET[nachat])){
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$ves = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' ") or die (mysql_error());
$weap = mysql_fetch_array($ves);
if($weap[proch]>=10){echo"<img src='pic/yes.png' alt='*'/>Вещь уже отремонтирована!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
if($weap[zakal]==1){$k=20;}else{$k=10;}
$sila=round($weap[sila]+($weap[sila]/$k));
$lovk=round($weap[lovk]+($weap[lovk]/$k));
$prot=round($weap[prot]+($weap[prot]/$k));
$krit=round($weap[krit]+($weap[krit]/$k));
$ukrit=round($weap[ukrit]+($weap[ukrit]/$k));
$hp=round($weap[hp]+($weap[hp]/$k));
$mp=round($weap[mp]+($weap[mp]/$k));
$cena=round($weap[cena]+($weap[cena]/$k));
$mycena = round($weap[cena]/$k);
$reso=round($mycena/15);

$test = mysql_query("SELECT * FROM `users` WHERE `usr`= '$log' ") or die (mysql_error());
$udata = mysql_fetch_array($test);
$usila=round($udata[sila]+($weap[sila]/$k));
$ulovk=round($udata[lovk]+($weap[lovk]/$k));
$uprot=round($udata[prot]+($weap[prot]/$k));
$upkrit=round($udata[krit]+($weap[krit]/$k));
$uukrit=round($udata[ukrit]+($weap[ukrit]/$k));
$uhp=round($udata[hpall]+($weap[hp]/$k));
$ump=round($udata[mpall]+($weap[mp]/$k));
$avto=mysql_num_rows($ves);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Вещь не найдена";break;}
if($udata[money]-$mycena<0){echo"<img src='pic/no.png' alt='*'/> Не хватает монет, требуется $mycena</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}

$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' and `kol`>='$reso'") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Нехватает железа!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}

$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'remont' and `kol`>='1'") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){echo"<img src='pic/no.png' alt='*'/> Нет молотка для ремонта!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}
if($weap[image]==yes){
mysql_query("UPDATE `users` SET `sila` = '$usila',`lovk` = '$ulovk',`prot` = '$uprot',
`krit` = '$upkrit',`ukrit` = '$uukrit',`hpall` = '$uhp',`mpall` = '$ump' 
WHERE `usr` = '$log'") or die (mysql_error());
}
$polom=rand(0,100);
if($polom>>$set[kuznec]+85){
///////////ПОЛОМКА///////////
$jel=round($vesh[cena]/20);
$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' ") or die (mysql_error());
$avto=mysql_num_rows($resd);
if($avto==0){
$res = mysql_fetch_array($resd);
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = 'Железо',
        `lat_name` = 'jelezo',
        `tip` = 'res',
        `what` = 'res',
        `give` = '0',
        `kol` = '$jel',
        `cena` = '9'") or die (mysql_error());}else{
$res = mysql_fetch_array($resd);
$nkol=$jel+$res[kol];
mysql_query("UPDATE `res` SET `kol` = '$nkol' WHERE `usr` = '$log' and `lat_name`='jelezo'") or die (mysql_error());}
mysql_query("DELETE FROM `weapon` WHERE `usr` = '$log' and `id`='$id' ");
mysql_query("UPDATE `users` SET `sila` =  '$udata[sila]'-'$sila',`lovk` =  '$udata[lovk]'-'$lovk',`prot` = '$udata[prot]'-'$prot',
`krit` =  '$udata[krit]'-'$krit',`ukrit` =  '$udata[ukrit]'-'$ukrit',`hpall` = '$udata[hpall]'-'$hp',`mpall` = '$udata[mpall]'-'$mp' WHERE `usr` = '$log'") or die (mysql_error());

echo"<font color='#ff3333'>Вам не повезло, по неопытности вы сломали вещь, она распалась на <b>$jel</b> железа</font></br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;  }
//////////КОНЕЦ////////////

mysql_query("UPDATE `weapon` SET 
`proch` = '$weap[proch]'+'1',
`cena` = '$cena',
 `sila` = '$sila',
 `lovk` = '$lovk',
 `prot` = '$prot',
`krit` = '$krit',
`ukrit` = '$ukrit',
`hp` = '$hp',
`mp` = '$mp' 
WHERE `usr` = '$log' and `id` = '$id'") or die (mysql_error());

$jel = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'jelezo' and `kol`>='$reso'") or die (mysql_error());
$jela = mysql_fetch_array($jel);
$kol = $jela[kol]-$reso;
mysql_query("UPDATE `res` SET `kol` = '$kol' WHERE `usr` = '$log' and `lat_name`= 'jelezo'");

$resd = mysql_query("SELECT * FROM `res` WHERE `usr`= '$log' and `lat_name`= 'remont' and `kol`>='1'") or die (mysql_error());
$resde = mysql_fetch_array($resd);
$kolz = $resde[kol]-1;
mysql_query("UPDATE `res` SET `kol` = '$kolz' WHERE `usr` = '$log' and `lat_name`= 'remont'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$mycena' WHERE `usr` = '$log' ");
echo"<font color='#71cc71'><img src='pic/yes.png' alt='*'/> Вещь успешно отремонтирована на один уровень!</font></br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;
}
if(empty($_GET[id])){echo"<img src='pic/no.png' alt='*'/> Не выбрана вещь!";break;}else{
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `proch`<'10' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/yes.png' alt='*'/> Вещь уже отремонтирована!</br><a href=\"kuznec.php?mod=weapon\">В кузницу</a>";break;}else{
$mag = mysql_fetch_array($req);
echo"<font color='#ffc22b'> • После ремонта вещь получает 10% ко всем статам .</br>• Шанс удачного ремонта зависит от уровня вашего навыка *Кузнец*</font>$div";
$szak=$set[kuznec]+85;
echo"Ваш уровень кузнеца <b>$set[kuznec]</b></br>Шанс удачного ремонта <font color='#71cc71'><b>$szak %</b></font>$div";
if($mag[zakal]==1){$k=20;}else{$k=10;}
$mycena = round($mag[cena]/$k);
$reso=round($mycena/15);
echo"Ваша вещь $mag[name]$div Для ремонта вам потребуется: </br>
<img src='pic/pers/rem.png' alt='*'/> <b>Молоток для ремонта</b></br>
<img src='pic/pers/jel.png' alt='*'/> <b>$reso</b> Железа</br>
<img src='pic/bazar.gif' alt='*'/> <b>$mycena</b> монет</br>

";
echo "<form action=\"kuznec.php?mod=remont&nachat&id=$mag[id]\" method=\"post\">";
echo '<input class="button" type="submit" value="Ремонтировать" /></form>';
}
}

break;
}
@include($path.'files/down.php');
?>